<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSubscribedService StructType
 * @subpackage Structs
 */
class RSubscribedService extends AbstractStructBase
{
    /**
     * The telecasterServiceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $telecasterServiceName;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The url
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $url;
    /**
     * The urlButtonIndex
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $urlButtonIndex;
    /**
     * The urlLabel
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $urlLabel;
    /**
     * The serviceNameAscii
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceNameAscii;
    /**
     * The phoneService
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $phoneService;
    /**
     * The phoneServiceCategory
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $phoneServiceCategory;
    /**
     * The vendor
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendor;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $version;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - documentation: Read Only. Value should be between 1 and 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $priority;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RSubscribedService
     * @uses RSubscribedService::setTelecasterServiceName()
     * @uses RSubscribedService::setName()
     * @uses RSubscribedService::setUrl()
     * @uses RSubscribedService::setUrlButtonIndex()
     * @uses RSubscribedService::setUrlLabel()
     * @uses RSubscribedService::setServiceNameAscii()
     * @uses RSubscribedService::setPhoneService()
     * @uses RSubscribedService::setPhoneServiceCategory()
     * @uses RSubscribedService::setVendor()
     * @uses RSubscribedService::setVersion()
     * @uses RSubscribedService::setPriority()
     * @uses RSubscribedService::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $telecasterServiceName
     * @param string $name
     * @param string $url
     * @param string $urlButtonIndex
     * @param string $urlLabel
     * @param string $serviceNameAscii
     * @param string $phoneService
     * @param string $phoneServiceCategory
     * @param string $vendor
     * @param string $version
     * @param int $priority
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $telecasterServiceName = null, $name = null, $url = null, $urlButtonIndex = null, $urlLabel = null, $serviceNameAscii = null, $phoneService = null, $phoneServiceCategory = null, $vendor = null, $version = null, $priority = null, $uuid = null)
    {
        $this
            ->setTelecasterServiceName($telecasterServiceName)
            ->setName($name)
            ->setUrl($url)
            ->setUrlButtonIndex($urlButtonIndex)
            ->setUrlLabel($urlLabel)
            ->setServiceNameAscii($serviceNameAscii)
            ->setPhoneService($phoneService)
            ->setPhoneServiceCategory($phoneServiceCategory)
            ->setVendor($vendor)
            ->setVersion($version)
            ->setPriority($priority)
            ->setUuid($uuid);
    }
    /**
     * Get telecasterServiceName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getTelecasterServiceName()
    {
        return $this->telecasterServiceName;
    }
    /**
     * Set telecasterServiceName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $telecasterServiceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setTelecasterServiceName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $telecasterServiceName = null)
    {
        $this->telecasterServiceName = $telecasterServiceName;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get url value
     * @return string|null
     */
    public function getUrl()
    {
        return $this->url;
    }
    /**
     * Set url value
     * @param string $url
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setUrl($url = null)
    {
        $this->url = $url;
        return $this;
    }
    /**
     * Get urlButtonIndex value
     * @return string|null
     */
    public function getUrlButtonIndex()
    {
        return $this->urlButtonIndex;
    }
    /**
     * Set urlButtonIndex value
     * @param string $urlButtonIndex
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setUrlButtonIndex($urlButtonIndex = null)
    {
        $this->urlButtonIndex = $urlButtonIndex;
        return $this;
    }
    /**
     * Get urlLabel value
     * @return string|null
     */
    public function getUrlLabel()
    {
        return $this->urlLabel;
    }
    /**
     * Set urlLabel value
     * @param string $urlLabel
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setUrlLabel($urlLabel = null)
    {
        $this->urlLabel = $urlLabel;
        return $this;
    }
    /**
     * Get serviceNameAscii value
     * @return string|null
     */
    public function getServiceNameAscii()
    {
        return $this->serviceNameAscii;
    }
    /**
     * Set serviceNameAscii value
     * @param string $serviceNameAscii
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setServiceNameAscii($serviceNameAscii = null)
    {
        $this->serviceNameAscii = $serviceNameAscii;
        return $this;
    }
    /**
     * Get phoneService value
     * @return string|null
     */
    public function getPhoneService()
    {
        return $this->phoneService;
    }
    /**
     * Set phoneService value
     * @param string $phoneService
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setPhoneService($phoneService = null)
    {
        $this->phoneService = $phoneService;
        return $this;
    }
    /**
     * Get phoneServiceCategory value
     * @return string|null
     */
    public function getPhoneServiceCategory()
    {
        return $this->phoneServiceCategory;
    }
    /**
     * Set phoneServiceCategory value
     * @param string $phoneServiceCategory
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setPhoneServiceCategory($phoneServiceCategory = null)
    {
        $this->phoneServiceCategory = $phoneServiceCategory;
        return $this;
    }
    /**
     * Get vendor value
     * @return string|null
     */
    public function getVendor()
    {
        return $this->vendor;
    }
    /**
     * Set vendor value
     * @param string $vendor
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setVendor($vendor = null)
    {
        $this->vendor = $vendor;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setVersion($version = null)
    {
        $this->version = $version;
        return $this;
    }
    /**
     * Get priority value
     * @return int|null
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param int $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setPriority($priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSubscribedService
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
